Loading...
Searching...
No Matches
IParticleEmitter.h File Reference
`#include "IAttributeExchangingObject.h"`
`#include "SParticle.h"`

Go to the source code of this file.

## Classes

class | irr::scene::IParticleEmitter
| A particle emitter for using with particle systems. More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::scene
| All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Typedefs

typedef IParticleEmitter | irr::scene::IParticlePointEmitter

## Enumerations

enum | irr::scene::E_PARTICLE_EMITTER_TYPE { irr::scene::EPET_POINT = 0 , irr::scene::EPET_ANIMATED_MESH , irr::scene::EPET_BOX , irr::scene::EPET_CYLINDER , irr::scene::EPET_MESH , irr::scene::EPET_RING , irr::scene::EPET_SPHERE , irr::scene::EPET_COUNT }
| Types of built in particle emitters. More...

## Variables

const c8 *const | irr::scene::ParticleEmitterTypeNames []
| Names for built in particle emitters.

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0